NX Journal 点を選択するダイアログ

2020/01/12 categories:NX Journal| tags:NX Journal|Python|

NX Openで点を選択するダイアログを表示するプログラムを作成しました。今回作ったプログラムはSelectTaggedObjectsで選択可能なオブジェクトをUF_point_typeに絞ることで点のみ選択可能になるようにしています。

Pythonコード

import NXOpen
import NXOpen.UF
 
def main():
    theSession  = NXOpen.Session.GetSession()
    workPart = theSession.Parts.Work
 
    # 点の選択
    res = selectPoints()
    response = res[0]
    points = res[1]
    
    lw = theSession.ListingWindow
    lw.Open()

    for point in points:
        lw.WriteLine(str(point))
 
def selectPoints():
    mask = NXOpen.SelectionMaskTriple_Struct()
    mask.Type = NXOpen.UF.UFConstants.UF_point_type
    mask.Subtype = NXOpen.UF.UFConstants.UF_point_subtype
    scope = NXOpen.Selection.SelectionScope.AnyInAssembly
    action = NXOpen.Selection.SelectionAction.ClearAndEnableSpecific
    res = NXOpen.UI.GetUI().SelectionManager.SelectTaggedObjects(
        "点を選んでください", "点の選択", scope, action, False, False, [mask])
    return res
 
if __name__ == '__main__':
    main()

Share post

Related Posts

コメント